# Gimp.ColorConfig

    const Gimp = imports.gi.Gimp;

    let colorConfig = new Gimp.ColorConfig({
        cmyk_profile: value,
        display_optimize: value,
        display_profile: value,
        display_profile_from_gdk: value,
        display_rendering_intent: value,
        display_use_black_point_compensation: value,
        gray_profile: value,
        mode: value,
        rgb_profile: value,
        show_hsv: value,
        show_rgb_u8: value,
        simulation_gamut_check: value,
        simulation_optimize: value,
        simulation_profile: value,
        simulation_rendering_intent: value,
        simulation_use_black_point_compensation: value,
    });

Color management settings.

## Hierarchy

- GObject.Object
  - Gimp.ColorConfig

## Methods

- Gimp.ColorConfig.prototype.get_cmyk_color_profile
- Gimp.ColorConfig.prototype.get_display_bpc
- Gimp.ColorConfig.prototype.get_display_color_profile
- Gimp.ColorConfig.prototype.get_display_intent
- Gimp.ColorConfig.prototype.get_display_optimize
- Gimp.ColorConfig.prototype.get_display_profile_from_gdk
- Gimp.ColorConfig.prototype.get_gray_color_profile
- Gimp.ColorConfig.prototype.get_mode
- Gimp.ColorConfig.prototype.get_out_of_gamut_color
- Gimp.ColorConfig.prototype.get_rgb_color_profile
- Gimp.ColorConfig.prototype.get_simulation_bpc
- Gimp.ColorConfig.prototype.get_simulation_color_profile
- Gimp.ColorConfig.prototype.get_simulation_gamut_check
- Gimp.ColorConfig.prototype.get_simulation_intent
- Gimp.ColorConfig.prototype.get_simulation_optimize

## Properties

- cmyk-profile
- display-optimize
- display-profile
- display-profile-from-gdk
- display-rendering-intent
- display-use-black-point-compensation
- gray-profile
- mode
- out-of-gamut-color
- rgb-profile
- show-hsv
- show-rgb-u8
- simulation-gamut-check
- simulation-optimize
- simulation-profile
- simulation-rendering-intent
- simulation-use-black-point-compensation